Bug 1447702 - Allow calling pcs cluster node add from node being added
Summary: Allow calling pcs cluster node add from node being added
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Mular
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-03 14:17 UTC by Chris Feist
Modified: 2017-08-01 18:26 UTC (History)
7 users (show)

Fixed In Version: pcs-0.9.158-1.el7
Doc Type: Enhancement
Doc Text:
Feature: Allow user to add a new node to a cluster running pcs command on a node which is not part of the cluster. Reason: This feature was requested by OpenStack to simplify work with the containers. Result: User can use command 'pcs cluster node add-outside' to add a new node from a node outside of cluster.
Clone Of:
Environment:
Last Closed: 2017-08-01 18:26:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (2.62 KB, patch)
2017-05-23 11:29 UTC, Tomas Jelinek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1958 normal SHIPPED_LIVE pcs bug fix and enhancement update 2017-08-01 18:09:47 UTC

Comment 6 Tomas Jelinek 2017-05-23 11:29:27 UTC
Created attachment 1281471 [details]
proposed fix

Comment 7 Andrew Beekhof 2017-05-24 01:17:59 UTC
Not completely sold on the name, but the functionality seems to fit the bill

Comment 8 Ivan Devat 2017-05-25 12:42:16 UTC
After Fix:

[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.158-1.el7.x86_64

[vm-rhel72-2 ~] $ pcs cluster auth vm-rhel72-1 vm-rhel72-2 vm-rhel72-3
Username: hacluster
Password:
vm-rhel72-2: Authorized
vm-rhel72-3: Authorized
vm-rhel72-1: Authorized

[vm-rhel72-2 ~] $ pcs cluster node add-outside
Error: Usage: pcs cluster node add-outside <node[,node-altaddr]> <cluster node>
[vm-rhel72-2 ~] $ pcs cluster node add-outside vm-rhel72-2 vm-rhel72-1

[vm-rhel72-2 ~] $ pcs cluster start
Starting Cluster...

[vm-rhel72-2 ~] $ pcs status | grep Online
Online: [ vm-rhel72-1 vm-rhel72-2 vm-rhel72-3 ]

Comment 11 errata-xmlrpc 2017-08-01 18:26:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1958


Note You need to log in before you can comment on or make changes to this bug.